// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.Gui.Dialogs {
    
    
    public partial class RenameItemDialog {
        
        private Gtk.VBox vbox;
        
        private Gtk.HBox hbox;
        
        private Gtk.Label labelNewName;
        
        private Gtk.Entry entry;
        
        private Gtk.CheckButton renameFileFlag;
        
        private Gtk.Button buttonCancel;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog
            this.Name = "MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog";
            this.Title = Mono.Unix.Catalog.GetString("Rename {0}");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.BorderWidth = ((uint)(6));
            // Internal child MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.Spacing = 6;
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.vbox = new Gtk.VBox();
            this.vbox.Name = "vbox";
            this.vbox.Spacing = 6;
            this.vbox.BorderWidth = ((uint)(6));
            // Container child vbox.Gtk.Box+BoxChild
            this.hbox = new Gtk.HBox();
            this.hbox.Name = "hbox";
            this.hbox.Spacing = 6;
            // Container child hbox.Gtk.Box+BoxChild
            this.labelNewName = new Gtk.Label();
            this.labelNewName.Name = "labelNewName";
            this.labelNewName.LabelProp = Mono.Unix.Catalog.GetString("New na_me:");
            this.labelNewName.UseUnderline = true;
            this.hbox.Add(this.labelNewName);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox[this.labelNewName]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox.Gtk.Box+BoxChild
            this.entry = new Gtk.Entry();
            this.entry.CanFocus = true;
            this.entry.Name = "entry";
            this.entry.IsEditable = true;
            this.entry.InvisibleChar = '●';
            this.hbox.Add(this.entry);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox[this.entry]));
            w3.Position = 1;
            this.vbox.Add(this.hbox);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox[this.hbox]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox.Gtk.Box+BoxChild
            this.renameFileFlag = new Gtk.CheckButton();
            this.renameFileFlag.CanFocus = true;
            this.renameFileFlag.Name = "renameFileFlag";
            this.renameFileFlag.Label = Mono.Unix.Catalog.GetString("Rename file that contains public class");
            this.renameFileFlag.Active = true;
            this.renameFileFlag.DrawIndicator = true;
            this.renameFileFlag.UseUnderline = true;
            this.vbox.Add(this.renameFileFlag);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox[this.renameFileFlag]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            w1.Add(this.vbox);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(w1[this.vbox]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Internal child MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog.ActionArea
            Gtk.HButtonBox w7 = this.ActionArea;
            w7.Name = "dialog1_ActionArea";
            w7.Spacing = 10;
            w7.BorderWidth = ((uint)(5));
            w7.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonCancel = new Gtk.Button();
            this.buttonCancel.CanDefault = true;
            this.buttonCancel.CanFocus = true;
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.UseStock = true;
            this.buttonCancel.UseUnderline = true;
            this.buttonCancel.Label = "gtk-cancel";
            this.AddActionWidget(this.buttonCancel, -6);
            Gtk.ButtonBox.ButtonBoxChild w8 = ((Gtk.ButtonBox.ButtonBoxChild)(w7[this.buttonCancel]));
            w8.Expand = false;
            w8.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w9 = ((Gtk.ButtonBox.ButtonBoxChild)(w7[this.buttonOk]));
            w9.Position = 1;
            w9.Expand = false;
            w9.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 375;
            this.DefaultHeight = 139;
            this.labelNewName.MnemonicWidget = this.entry;
            this.renameFileFlag.Hide();
            this.Show();
        }
    }
}
